Bug 188375 - [patch] net-im/pidgin-latex broken on systems without gcc
Summary: [patch] net-im/pidgin-latex broken on systems without gcc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-08 11:20 UTC by kamikaze
Modified: 2014-05-20 20:44 UTC (History)
0 users

See Also:


Attachments
file.diff (874 bytes, patch)
2014-04-08 11:20 UTC, kamikaze
no flags Details | Diff
patch-ports-net-im-pidgin-latex.txt (348 bytes, patch)
2014-05-20 10:45 UTC, Dominic Fandrey
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2014-04-08 11:20:01 UTC
The plugin Makefile has CC:=gcc hard-coded.

Fix: Patch attached with submission follows:
How-To-Repeat: Try to build on a FreeBSD 10 or newer system.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-08 11:20:04 UTC
Maintainer of net-im/pidgin-latex,

Please note that PR ports/188375 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188375

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-04-08 11:20:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 mainland 2014-04-08 15:15:19 UTC
I approve the patch.

Geoff
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2014-04-09 00:33:24 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Dominic Fandrey 2014-05-20 10:45:25 UTC
Apparently the patch was committed, but with an additional Makefile
change that breaks it for CC containing spaces.

A fix is attached.

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail? 

Comment 6 Tijl Coosemans freebsd_committer 2014-05-20 20:43:43 UTC
State Changed
From-To: open->closed

Fixed in r354670. 


Comment 7 Tijl Coosemans freebsd_committer 2014-05-20 20:43:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tijl

Fixed in r354670.